
public class Employee extends Person
{
    private double salary;
    
    public Employee(String name, int yob, Address address, double salary) {
        super(name, yob, address);
        this.salary = salary;
    }
    
    public double getSalary() {
        return salary;
    }    
    
    public boolean equals(Object obj) {
        if (!(obj instanceof Employee)) {
            return false;
        }
        
        Employee e = (Employee) obj;
        
        return this.salary == e.salary && super.equals(obj);
    }

    public int hashCode() {
        int hash = 2;
        hash = hash * 31 + super.hashCode();
        hash = hash * 31 + (new Double(salary)).hashCode();
        return hash;
    }
}
