import java.util.*;

public class Company
{
    private String name;
    
    public Company(String n) {
        this.name = n;
    }
    
    public String toString() {
        return "Company " + name;
    }
    
    public String getName() {
        return name;
    }
    
    //public boolean equals(Company obj) {  TAKTO NE!
    //    return this.name.equals(obj.name);
    //}

    public boolean equals(Object obj) {
        if (!(obj instanceof Company)) {
            return false;
        }
        
        Company c = (Company) obj;
        return this.name.equals(c.name);
    }
   
    public int hashCode() {
        return this.name.hashCode();
    }
}









